# coding: utf-8

"""
    Pathnexus

    Pathnexus - a lab data harmonisation platform  # noqa: E501

    OpenAPI spec version: 4.6.0-SNAPSHOT
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class TermLangPojo(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'term': 'str',
        'lang': 'str'
    }

    attribute_map = {
        'term': 'term',
        'lang': 'lang'
    }

    def __init__(self, term=None, lang=None):  # noqa: E501
        """TermLangPojo - a model defined in Swagger"""  # noqa: E501

        self._term = None
        self._lang = None
        self.discriminator = None

        if term is not None:
            self.term = term
        if lang is not None:
            self.lang = lang

    @property
    def term(self):
        """Gets the term of this TermLangPojo.  # noqa: E501


        :return: The term of this TermLangPojo.  # noqa: E501
        :rtype: str
        """
        return self._term

    @term.setter
    def term(self, term):
        """Sets the term of this TermLangPojo.


        :param term: The term of this TermLangPojo.  # noqa: E501
        :type: str
        """

        self._term = term

    @property
    def lang(self):
        """Gets the lang of this TermLangPojo.  # noqa: E501


        :return: The lang of this TermLangPojo.  # noqa: E501
        :rtype: str
        """
        return self._lang

    @lang.setter
    def lang(self, lang):
        """Sets the lang of this TermLangPojo.


        :param lang: The lang of this TermLangPojo.  # noqa: E501
        :type: str
        """

        self._lang = lang

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, TermLangPojo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
